module fuggvenymodul
 implicit none
 contains
  real function novel(x)
  implicit none
   real :: x
    novel=x+2.0 ! a 2-vel megnovelt erteket kapja meg a fuggveny.
                ! Ez az ertek az alabbi meghivaskor az 'eredmeny'
                ! valtozoba kerul.
  end function novel
end module fuggvenymodul


program modulfuggveny
 use fuggvenymodul
 implicit none
 real :: a, eredmeny

 a=2.

 eredmeny = novel(a) ! a novel fuggveny meghivasa
 write(*,*) 'a=',a,' kettovel megnovelve: ',eredmeny

end program modulfuggveny
!/Karol
